﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Configuration;
using Telerik.Web.UI;
using System.Text;

public partial class _Default : System.Web.UI.Page
{

	private int _userID = 2;
	private SqlConnection _conn = new SqlConnection(ConfigurationManager.ConnectionStrings["DockConnectionString"].ConnectionString);
	private List<DockState> CurrentDockStates
	{
		get
		{
			//Get saved state string from the database - set it to dockState variable for example 
			string dockStatesFromDB = "";


			_conn.Open();
			SqlCommand command = new SqlCommand("select State from States where id='" + _userID + "' ", _conn);
			dockStatesFromDB = command.ExecuteScalar().ToString();
			_conn.Close();

			List<DockState> _currentDockStates = new List<DockState>();
			string[] stringStates = dockStatesFromDB.Split('|');
			foreach (string stringState in stringStates)
			{
				if (stringState.Trim() != string.Empty)
				{
					_currentDockStates.Add(DockState.Deserialize(stringState));
				}
			}
			return _currentDockStates;
		}
	}

	protected void RadDockLayout1_LoadDockLayout(object sender, DockLayoutEventArgs e)
	{
		foreach (DockState state in CurrentDockStates)
		{
			e.Positions[state.UniqueName] = state.DockZoneID;
			e.Indices[state.UniqueName] = state.Index;
		}
	}

	protected void RadDockLayout1_SaveDockLayout(object sender, DockLayoutEventArgs e)
	{
		List<DockState> stateList = RadDockLayout1.GetRegisteredDocksState();
		StringBuilder serializedList = new StringBuilder();
		int i = 0;

		while (i < stateList.Count)
		{
			serializedList.Append(stateList[i].ToString());
			serializedList.Append("|");
			i++;
		}

		string dockState = serializedList.ToString();
		if (dockState.Trim() != String.Empty)
		{
			_conn.Open();
			SqlCommand command = new SqlCommand(String.Format("update States set State='{0}' where id='" + _userID + "'", dockState), _conn);
			command.ExecuteNonQuery();
			_conn.Close();
		}

	}
}
